/*  ---------------------------------------------------------------------------
    Program  :  AddtoMeetingsDat.sas

    Author   :  Perry Watts
    Date     :  19Jul2007 17:56

    Project  :  N07 Better Bar Chart Paper (NP16)

    Purpose  :  Add 1 new dept and 1 new room to Miron's data set.
    ------------------------------------------------------------------------  */
 libname n07 "C:\N07\BetterBarChart\data";
 data addtoData;
   input date date7. dept $ room $ hours;
cards;
21NOV98     PAYROLL        B100     2.00
27MAR98     PAYROLL        C301     1.50
12MAY98     PAYROLL        C301     1.50
01JUN98     PAYROLL        C301     2.00
14JUN98     PAYROLL        C301     3.00
14AUG98     PAYROLL        C301     2.50
01NOV98     PAYROLL        C301     1.50
30JAN98     PAYROLL        C339     2.00
28FEB98     PAYROLL        C339     2.00
12APR98     PAYROLL        C339     0.50
07JUN98     PAYROLL        C339     4.00
28AUG98     PAYROLL        D410     1.50
22NOV98     PAYROLL        D410     3.50
07JUN98     PAYROLL        D410     1.00
28AUG98     PAYROLL        D410     1.50
22NOV98     PAYROLL        D410     2.50
10JAN99     ACCOUNTS       D410     1.00
24JAN99     ACCOUNTS       D410     2.50
30JAN99     SHIP           D410     2.00
24FEB99     MARKET         D410     3.50
28FEB99     SHIP           D410     4.00
01MAR99     MARKET         D410     2.00
03MAR99     ACCOUNTS       D410     3.50
08MAR99     ACCOUNTS       D410     1.50
21MAR99     ACCOUNTS       D410     0.25
27MAR99     SHIP           D410     1.50
29MAR99     ACCOUNTS       D410     0.50
12APR99     SHIP           D410     3.50
25APR99     MARKET         D410     1.50
02MAY99     MARKET         D410     0.50
12MAY99     SHIP           D410     2.50
25MAY99     MARKET         D410     3.50
01JUN99     SHIP           D410     1.00
07JUN99     SHIP           D410     4.00
run;
proc format;
  value hrGrpF 0-1.5=1 2-4=2;
run;
data n07.MoreMeetings;
  set n07.meetings addtoData;
  hrGrp=input(put(hours,hrGrpF.),1.);
run;
 proc print data=n07.MoreMeetings;
  title1'n07.moreMeetings';
  format date date7.;
 run;
